org.gjt.sp.jedit.io

## Class CharsetEncoding

- java.lang.Object
- - org.gjt.sp.jedit.io.CharsetEncoding

All Implemented Interfaces:
  Encoding

    public class CharsetEncoding
    extends java.lang.Object
    implements Encoding

Encodings which are provided by java.nio.charset.Charset.

Since:
  4.3pre10

### Constructor Summary

Constructors
Constructor and Description
`CharsetEncoding(java.lang.String name)`

### Method Summary

Methods
`java.io.Reader` `getPermissiveTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Reader` `getTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Writer` `getTextWriter(java.io.OutputStream out)` Map an OutputStream to a Writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharsetEncoding

    public CharsetEncoding(java.lang.String name)

### Method Detail

#### getTextReader

    @Nonnull
    public java.io.Reader getTextReader(@Nonnull
                                       java.io.InputStream in)
                                 throws java.io.IOException

Description copied from interface: `Encoding`
Map an InputStream to a Reader. Decode-error while reading from this Reader should be reported by throwing an IOException.

Specified by:
  `getTextReader` in interface `Encoding`
Throws:
  `java.io.IOException`

#### getTextWriter

    @Nonnull
    public java.io.Writer getTextWriter(@Nonnull
                                       java.io.OutputStream out)
                                 throws java.io.IOException

Description copied from interface: `Encoding`
Map an OutputStream to a Writer. Encode-error while writing to this Writer should be reported by throwing an IOException.

Specified by:
  `getTextWriter` in interface `Encoding`
Throws:
  `java.io.IOException`

#### getPermissiveTextReader

    @Nonnull
    public java.io.Reader getPermissiveTextReader(@Nonnull
                                                 java.io.InputStream in)
                                           throws java.io.IOException

Description copied from interface: `Encoding`
Map an InputStream to a Reader. Decode-error while reading from this Reader should be ignored or replaced.

Specified by:
  `getPermissiveTextReader` in interface `Encoding`
Throws:
  `java.io.IOException`